Page MenuHomePhabricator

[Task] Add CirrusSearch and Elastica as dependencies of Wikibase on Jenkins
Closed, ResolvedPublic

Description

We are adding hook handlers and some improved integration for Wikibase content in CirrusSearch.

For jenkins to actually run tests for this, we need to add CirrusSearch and Elastica extensions as dependencies.

these should be optional dependencies for running wikibase itself (e.g. only if CirrusSearch is installed and $wgSearchType or alternatives includes Cirrus then use the enhanced search capabilities), but we still need the dependencies for full testing

afaik, we don't need ElasticSearch itself (yet) since Elastica provides enough abstraction. We'll need to think how we might want to implement some integration tests, but think that's a separate task.

Related Objects

StatusAssignedTask
OpenNone
Resolvedaude
ResolvedSmalyshev
Resolvedaude
ResolvedNone
DuplicateSmalyshev
ResolvedSmalyshev
InvalidNone
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
Resolveddcausse
Resolveddcausse
ResolvedSmalyshev
Resolveddebt
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
ResolvedSmalyshev
Resolveddcausse
ResolvedSmalyshev

Event Timeline

aude created this task.Dec 3 2015, 2:17 PM
aude raised the priority of this task from to High.
aude updated the task description. (Show Details)
aude added a subscriber: aude.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 3 2015, 2:17 PM
Lydia_Pintscher renamed this task from Add CirrusSearch and Elastica as dependencies of Wikibase on Jenkins to [Task] Add CirrusSearch and Elastica as dependencies of Wikibase on Jenkins.Dec 3 2015, 3:31 PM
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
aude closed this task as Resolved.Dec 4 2015, 4:57 PM
aude moved this task from Proposed to Done on the Wikidata-Sprint-2015-12-01 board.